Skip to main content
Quote / Variants

Get a list of variant models

Get a list of variant models.

GET
/qt/models

This method requires the QuoteVariants:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
make_idstringquery

Optional Make Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
model_codestringquery

Optional Model Code

This field supports the wildcard % operator.

Maximum string length: 24
Pattern: ^[a-zA-Z0-9\-\_\s\%]+$
data_source_idstringquery

Optional Data Source Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
profile_required_flagenum<string>querydefault:yes

If yes, display models only for qt_variants with a qt_variant_profiles record with a 'date' valid for the current invocation date

Available options: yes, no
include_inactive_flagenum<string>querydefault:no

Set to yes if inactive items are required in the list. When no, items are returned when both the qt_models record, and linked qt_variants records have an active status

Available options: yes, no
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1